<?php
namespace nur\config;

/**
 * Class MergeRef: une référence à une clé de configuration. à partir de la
 * valeur de cette clé:
 * - on y fusionne un tableau
 * - on y ajoute des éléments
 * - puis on y insère des éléments au début
 */
class MergeRef extends Ref {
  function __construct(string $pkey, ?array $merge=null, ?array $appends=null, ?array $prepends=null) {
    parent::__construct($pkey);
    $this->merge = $merge;
    $this->appends = $appends;
    $this->prepends = $prepends;
  }
}
