<?php
namespace nur\sery\schema\types;

use nur\sery\schema\input\Input;
use nur\sery\schema\Result;

/**
 * Interface IType: un type de données
 */
interface IType {
  function canAnalyze(Input $input, $desyKey): bool;

  function isAvailable(Input $input, $desyKey): bool;

  function isNull($value): bool;

  function isValid($value, ?bool &$normalized=null): bool;

  function verifix(&$value, ?Result &$result): bool;

  function format($value, $format=null);
}
